Package Scientific :: Package Visualization :: Module VRML :: Class Sphere

[frames] | no frames]

# Class Sphere

    VRMLObject --+
                 |
       ShapeObject --+
                     |
                    Sphere

Sphere

Instance Methods

__init__(self, center, radius, **attr) |

memoKey(self) |

writeSpecification(self, file) |

Inherited from `ShapeObject`: `__add__`, `use`, `writeToFile` Inherited from `VRMLObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
Inherited from `ShapeObject`: `attribute_names`

Method Details

### __init__(self, center, radius, **attr)
(Constructor)

Parameters:
  - `center` (Scientific.Geometry.Vector) - the center of the sphere
  - `radius` (positive number) - the sphere radius
  - `attr` - graphics attributes as keyword parameters
Overrides: VRMLObject.__init__